// pages/welfareMall/feedback/feedback.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    t_length: 0,
    avatarUrl: [],
    chooseViewShowBanner: true
  },

  bindText: function (e) {
    var t_text = e.detail.value.length;
    // console.log(t_text)
    this.setData({
      t_length: t_text
    }) 
  },

   /** 图片选择 */
   bindViewTap: function(){
    var that = this;
    if(this.data.avatarUrl.length < 4){
      wx.chooseImage({
        // 设置最多可以选择的图片张数，默认9,如果我们设置了多张,那么接收时//就不在是单个变量了,
         count: 4, 
         sizeType: ['original', 'compressed'], // original 原图，compressed 压缩图，默认二者都有
         sourceType: ['album', 'camera'], // album 从相册选图，camera 使用相机，默认二者都有
         success: function(res){
          // 获取成功,将获取到的地址赋值给临时变量
          console.log(res.tempFilePaths);
          if (res.tempFilePaths.count == 0) {
            return;
          }
          //上传图片
          var imgArrNow = that.data.avatarUrl;
          imgArrNow = imgArrNow.concat(res.tempFilePaths);
          if(that.data.avatarUrl.length +res.tempFilePaths.length > 4){
            wx.showToast({
              title: '最多添加4张图片',
              icon: 'none',
              duration: 1500
            })
            return
          }
          that.setData({
          //将临时变量赋值给已经在data中定义好的变量
           avatarUrl:imgArrNow
          })
          that.chooseViewShowBanner();
         },
         fail: function(res) {
          // fail
         },
         complete: function(res) {
          // complete
         }
        })
    } else {
      wx.showToast({
        title: '最多添加4张图片',
        icon: 'none',
        duration: 1500
      })
    }
   },

   /** 删除图片Banner */
  deleteImvBanner: function(e) {
    var avatarUrl = this.data.avatarUrl;
    var itemIndex = e.currentTarget.dataset.id;
    avatarUrl.splice(itemIndex, 1);
    this.setData({
      avatarUrl: avatarUrl
    })
    //判断是否隐藏选择图片
    this.chooseViewShowBanner();
  },

   /** 是否隐藏图片选择Banner*/
   chooseViewShowBanner: function() {
    if (this.data.avatarUrl.length >= 4) {
      this.setData({
        chooseViewShowBanner: false
      })
    } else {
      this.setData({
        chooseViewShowBanner: true
      })
    }
  },

   /** 图片预览 */
  previewImage: function(e){
    var that = this,
    //获取当前图片的下标
      index = e.currentTarget.dataset.index,
      //数据源
      avatarUrl = this.data.avatarUrl;
    wx.previewImage({
    //当前显示下标
     current: avatarUrl[index],
     //数据源
     urls: avatarUrl
    })
   },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})