// pages/welfareMall/order/orderCompletion.js
import WelfareMall from '../../../api/welfareMall'
import { parseTime } from '../../../utils/util'
import {getMobileCache, getPhoneNumber as getPhoneNumberSync} from '../../../utils/user'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    pageSize: 10,
    lock: false,
    noResult: false,
    noMore: false,
    isLogin: false,
    orderDetail: null,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.orderSn = options.ordersn
    this.setData({
      isLogin: getMobileCache() != '',
  })
  if(this.data.isLogin){
      this.getOrder(that.orderSn);
  }
  },

  // 订单数据
  getOrder: function(data) {
    WelfareMall.getOrder({
      mobile: getMobileCache(),
      orderSn: data,
    }).then(res => {
        if (res.code == 200) {
            this.userOrderistView(res.data)
        }
        this.data.lock = false
    }).catch(_ => {
        console.log(_)
        this.data.lock = false
    })
  },

  userOrderistView: function(data) {
    if (!data) {
        console.log("订单详情数据为空");
        return
    }
    //对象转换
    this.data.orderDetail = data
    this.setData({
        mobileTop:getMobileCache(),
        orderDetail: this.data.orderDetail
    })
  }, 

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})